de.esprit.netsuite.client.gui.rtask

## Class RemoteTaskDefaultEventForwarder<S extends ServerContext,C extends CoClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.netsuite.client.AbstractClientObject<C>
      - - de.esprit.netsuite.client.gui.rtask.RemoteTaskDefaultEventForwarder<S,C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleLogSupport, Dumpable, ClientObject<C>, RemoteTaskEventForwarder, ServerObject<S>
  Direct Known Subclasses:
    RemoteTaskProgressEventForwarder

      public class RemoteTaskDefaultEventForwarder<S extends ServerContext,C extends CoClientContext>
      extends AbstractClientObject<C>
      implements ServerObject<S>, RemoteTaskEventForwarder

  This implementation forwards all `RemoteTaskEvent`s received by a `AbstractClientEDT` via the server's message channel to all clients.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteTaskDefaultEventForwarder(C coClientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forwardEvent(RemoteTaskEvent event)`
    `S` | `getServerContext()` Returns the server runtime environment
    `protected void` | `sendEvent(RemoteTaskEvent event, SessionId targetSession)`

    - ### Methods inherited from class de.esprit.netsuite.client.AbstractClientObject

      `getClientConfig, getClientContext`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteTaskDefaultEventForwarder

          public RemoteTaskDefaultEventForwarder(C coClientCtx)

  - ### Method Detail

    - #### forwardEvent

          public void forwardEvent(RemoteTaskEvent event)

      Specified by:
        `forwardEvent` in interface `RemoteTaskEventForwarder`

    - #### sendEvent

          protected final void sendEvent(RemoteTaskEvent event,
                       SessionId targetSession)

    - #### getServerContext

          public final S getServerContext()

      Description copied from interface: `ServerObject`
      Returns the server runtime environment
      Specified by:
        `getServerContext` in interface `ServerObject<S extends ServerContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.